Bullet Collision Detection & Physics Library: Bullet::btPersistentManifoldDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btPersistentManifoldDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btPersistentManifoldDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_pointCacheLocalPointA [4]
btVector3DoubleData | m_pointCacheLocalPointB [4]
btVector3DoubleData | m_pointCachePositionWorldOnA [4]
btVector3DoubleData | m_pointCachePositionWorldOnB [4]
btVector3DoubleData | m_pointCacheNormalWorldOnB [4]
btVector3DoubleData | m_pointCacheLateralFrictionDir1 [4]
btVector3DoubleData | m_pointCacheLateralFrictionDir2 [4]
double | m_pointCacheDistance [4]
double | m_pointCacheAppliedImpulse [4]
double | m_pointCachePrevRHS [4]
double | m_pointCacheCombinedFriction [4]
double | m_pointCacheCombinedRollingFriction [4]
double | m_pointCacheCombinedSpinningFriction [4]
double | m_pointCacheCombinedRestitution [4]
int | m_pointCachePartId0 [4]
int | m_pointCachePartId1 [4]
int | m_pointCacheIndex0 [4]
int | m_pointCacheIndex1 [4]
int | m_pointCacheContactPointFlags [4]
double | m_pointCacheAppliedImpulseLateral1 [4]
double | m_pointCacheAppliedImpulseLateral2 [4]
double | m_pointCacheContactMotion1 [4]
double | m_pointCacheContactMotion2 [4]
double | m_pointCacheContactCFM [4]
double | m_pointCacheCombinedContactStiffness1 [4]
double | m_pointCacheContactERP [4]
double | m_pointCacheCombinedContactDamping1 [4]
double | m_pointCacheFrictionCFM [4]
int | m_pointCacheLifeTime [4]
int | m_numCachedPoints
int | m_companionIdA
int | m_companionIdB
int | m_index1a
int | m_objectType
double | m_contactBreakingThreshold
double | m_contactProcessingThreshold
int | m_padding
btCollisionObjectDoubleData * | m_body0
btCollisionObjectDoubleData * | m_body1

## Detailed Description

Definition at line 520 of file bullet.h.

## Member Data Documentation

## ◆ m_body0

btCollisionObjectDoubleData* Bullet::btPersistentManifoldDoubleData::m_body0

Definition at line 560 of file bullet.h.

## ◆ m_body1

btCollisionObjectDoubleData* Bullet::btPersistentManifoldDoubleData::m_body1

Definition at line 561 of file bullet.h.

## ◆ m_companionIdA

int Bullet::btPersistentManifoldDoubleData::m_companionIdA

Definition at line 553 of file bullet.h.

## ◆ m_companionIdB

int Bullet::btPersistentManifoldDoubleData::m_companionIdB

Definition at line 554 of file bullet.h.

## ◆ m_contactBreakingThreshold

double Bullet::btPersistentManifoldDoubleData::m_contactBreakingThreshold

Definition at line 557 of file bullet.h.

## ◆ m_contactProcessingThreshold

double Bullet::btPersistentManifoldDoubleData::m_contactProcessingThreshold

Definition at line 558 of file bullet.h.

## ◆ m_index1a

int Bullet::btPersistentManifoldDoubleData::m_index1a

Definition at line 555 of file bullet.h.

## ◆ m_numCachedPoints

int Bullet::btPersistentManifoldDoubleData::m_numCachedPoints

Definition at line 552 of file bullet.h.

## ◆ m_objectType

int Bullet::btPersistentManifoldDoubleData::m_objectType

Definition at line 556 of file bullet.h.

## ◆ m_padding

int Bullet::btPersistentManifoldDoubleData::m_padding

Definition at line 559 of file bullet.h.

## ◆ m_pointCacheAppliedImpulse

double Bullet::btPersistentManifoldDoubleData::m_pointCacheAppliedImpulse[4]

Definition at line 531 of file bullet.h.

## ◆ m_pointCacheAppliedImpulseLateral1

double Bullet::btPersistentManifoldDoubleData::m_pointCacheAppliedImpulseLateral1[4]

Definition at line 542 of file bullet.h.

## ◆ m_pointCacheAppliedImpulseLateral2

double Bullet::btPersistentManifoldDoubleData::m_pointCacheAppliedImpulseLateral2[4]

Definition at line 543 of file bullet.h.

## ◆ m_pointCacheCombinedContactDamping1

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedContactDamping1[4]

Definition at line 549 of file bullet.h.

## ◆ m_pointCacheCombinedContactStiffness1

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedContactStiffness1[4]

Definition at line 547 of file bullet.h.

## ◆ m_pointCacheCombinedFriction

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedFriction[4]

Definition at line 533 of file bullet.h.

## ◆ m_pointCacheCombinedRestitution

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedRestitution[4]

Definition at line 536 of file bullet.h.

## ◆ m_pointCacheCombinedRollingFriction

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedRollingFriction[4]

Definition at line 534 of file bullet.h.

## ◆ m_pointCacheCombinedSpinningFriction

double Bullet::btPersistentManifoldDoubleData::m_pointCacheCombinedSpinningFriction[4]

Definition at line 535 of file bullet.h.

## ◆ m_pointCacheContactCFM

double Bullet::btPersistentManifoldDoubleData::m_pointCacheContactCFM[4]

Definition at line 546 of file bullet.h.

## ◆ m_pointCacheContactERP

double Bullet::btPersistentManifoldDoubleData::m_pointCacheContactERP[4]

Definition at line 548 of file bullet.h.

## ◆ m_pointCacheContactMotion1

double Bullet::btPersistentManifoldDoubleData::m_pointCacheContactMotion1[4]

Definition at line 544 of file bullet.h.

## ◆ m_pointCacheContactMotion2

double Bullet::btPersistentManifoldDoubleData::m_pointCacheContactMotion2[4]

Definition at line 545 of file bullet.h.

## ◆ m_pointCacheContactPointFlags

int Bullet::btPersistentManifoldDoubleData::m_pointCacheContactPointFlags[4]

Definition at line 541 of file bullet.h.

## ◆ m_pointCacheDistance

double Bullet::btPersistentManifoldDoubleData::m_pointCacheDistance[4]

Definition at line 530 of file bullet.h.

## ◆ m_pointCacheFrictionCFM

double Bullet::btPersistentManifoldDoubleData::m_pointCacheFrictionCFM[4]

Definition at line 550 of file bullet.h.

## ◆ m_pointCacheIndex0

int Bullet::btPersistentManifoldDoubleData::m_pointCacheIndex0[4]

Definition at line 539 of file bullet.h.

## ◆ m_pointCacheIndex1

int Bullet::btPersistentManifoldDoubleData::m_pointCacheIndex1[4]

Definition at line 540 of file bullet.h.

## ◆ m_pointCacheLateralFrictionDir1

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCacheLateralFrictionDir1[4]

Definition at line 528 of file bullet.h.

## ◆ m_pointCacheLateralFrictionDir2

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCacheLateralFrictionDir2[4]

Definition at line 529 of file bullet.h.

## ◆ m_pointCacheLifeTime

int Bullet::btPersistentManifoldDoubleData::m_pointCacheLifeTime[4]

Definition at line 551 of file bullet.h.

## ◆ m_pointCacheLocalPointA

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCacheLocalPointA[4]

Definition at line 523 of file bullet.h.

## ◆ m_pointCacheLocalPointB

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCacheLocalPointB[4]

Definition at line 524 of file bullet.h.

## ◆ m_pointCacheNormalWorldOnB

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCacheNormalWorldOnB[4]

Definition at line 527 of file bullet.h.

## ◆ m_pointCachePartId0

int Bullet::btPersistentManifoldDoubleData::m_pointCachePartId0[4]

Definition at line 537 of file bullet.h.

## ◆ m_pointCachePartId1

int Bullet::btPersistentManifoldDoubleData::m_pointCachePartId1[4]

Definition at line 538 of file bullet.h.

## ◆ m_pointCachePositionWorldOnA

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCachePositionWorldOnA[4]

Definition at line 525 of file bullet.h.

## ◆ m_pointCachePositionWorldOnB

btVector3DoubleData Bullet::btPersistentManifoldDoubleData::m_pointCachePositionWorldOnB[4]

Definition at line 526 of file bullet.h.

## ◆ m_pointCachePrevRHS

double Bullet::btPersistentManifoldDoubleData::m_pointCachePrevRHS[4]

Definition at line 532 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h